package ru.ldeloff.servermonitorbot.mapper;

import org.springframework.stereotype.Component;
import ru.ldeloff.servermonitorbot.model.User;
import ru.ldeloff.servermonitorbot.model.dto.InitUserDto;
import ru.ldeloff.servermonitorbot.service.role.RoleService;

@Component
public class UserMapper {
    final RoleService roleService;

    public UserMapper(RoleService roleService) {
        this.roleService = roleService;
    }

    public User dtoToUser(InitUserDto initUserDto) {
        User user = new User();
        user.setTelegramId(initUserDto.getTelegramId());
        user.setRole(roleService.findRoleByName(initUserDto.getRole()));
        return user;
    }
}
