package ru.ldeloff.servermonitorbot.utils.ui;

import org.springframework.stereotype.Component;
import org.telegram.telegrambots.meta.api.methods.send.SendMessage;
import org.telegram.telegrambots.meta.api.objects.replykeyboard.ReplyKeyboardMarkup;
import org.telegram.telegrambots.meta.api.objects.replykeyboard.buttons.KeyboardButton;
import org.telegram.telegrambots.meta.api.objects.replykeyboard.buttons.KeyboardRow;


import java.util.ArrayList;

@Component
public class TelegramBotKeyboard implements UiFormer {
    private final String STATUS = "Статус";
    private final String UNAME = "uname";
    private final String CPU_TEMP = "CPU.temp";
    private final String HDD_TEMP = "HDD.temp";


    @Override
    public SendMessage uiForm(SendMessage message) {
        ReplyKeyboardMarkup replyKeyboardMarkup = new ReplyKeyboardMarkup();
        replyKeyboardMarkup.setResizeKeyboard(true);
        replyKeyboardMarkup.setOneTimeKeyboard(false);

        ArrayList<KeyboardRow> keyboardRows = new ArrayList<>();

        KeyboardRow keyboardRow = new KeyboardRow();
        keyboardRows.add(keyboardRow);

        keyboardRow.add(new KeyboardButton(STATUS));
        keyboardRow.add(new KeyboardButton(UNAME));
        keyboardRow.add(new KeyboardButton(CPU_TEMP));
        keyboardRow.add(new KeyboardButton(HDD_TEMP));

        replyKeyboardMarkup.setKeyboard(keyboardRows);
        message.setReplyMarkup(replyKeyboardMarkup);
        return message;
    }
}
